import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule, Routes} from "@angular/router";
import {CalendarViewComponent} from "./calendar-view/calendar-view.component";
import {WeekdaysViewComponent} from "./weekdays-view/weekdays-view.component";


const routes: Routes = [
  {path: 'calendar', component: CalendarViewComponent},
  {path: 'weekdays', component: WeekdaysViewComponent},
  {path: "", redirectTo: "/calendar", pathMatch: "full"}
];

@NgModule({
  declarations: [],
  imports: [
    CommonModule,
    RouterModule.forRoot(routes)
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
