import {Component, Inject} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogRef} from "@angular/material/dialog";
import {AlertDialogData} from "../alert-dialog-data";

@Component({
  selector: 'app-confirmation-alert-dialog',
  templateUrl: './confirmation-alert-dialog.component.html',
  styleUrls: ['./confirmation-alert-dialog.component.css']
})
export class ConfirmationAlertDialogComponent {
  constructor(
    public dialogRef: MatDialogRef<ConfirmationAlertDialogComponent>,
    @Inject(MAT_DIALOG_DATA) public data: AlertDialogData,
  ) {
  }

  onNoClick(): void {
    this.dialogRef.close();
  }
}
