import {WakeupTime} from "./wakeup-time";

export class Util {
  static zeroPad(value: number, places: number): string {
    return String(value).padStart(places, "0")
  }

  static parseWakeupTime(value: string): WakeupTime {
    const hour: number = parseInt(value.split(":")[0])
    const minute: number = parseInt(value.split(":")[1])
    return {"hour": hour, "minute": minute}
  }
}
